﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

namespace SingleProjectAreas {
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    public class MvcApplication : System.Web.HttpApplication {
        public static void RegisterRoutes(RouteCollection routes) {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapAreaRoute("Blogs", "blogs_area", 
                "blog/{controller}/{action}/{id}", 
                new { controller = "Home", action = "Index", id = "" }, 
                new string[] { "SingleProjectAreas.Areas.Blogs.Controllers" });
            
            routes.MapAreaRoute("Forums", 
                "forums_area", 
                "forum/{controller}/{action}/{id}", 
                new { controller = "Home", action = "Index", id = "" }, 
                new string[] { "SingleProjectAreas.Areas.Forums.Controllers" });
            
            routes.MapAreaRoute("Main", "default_route", 
                "{controller}/{action}/{id}", 
                new { controller = "Home", action = "Index", id = "" }, 
                new string[] { "SingleProjectAreas.Controllers" });
        }

        protected void Application_Start() {
            RegisterRoutes(RouteTable.Routes);
            ViewEngines.Engines.Insert(0, new SingleProjectAreasViewEngine());
        }
    }
}